export declare function isObject(value: any): boolean;
export declare function isValue(value: any): boolean;
export declare function getValue(obj: any, path: string): any;
/**
 * Flip the keys of an object
 *
 * @param   {object}  obj   A hash of key => value pairs
 */
export declare function flipKeys(obj: object): {};
/**
 * Re-keys an object using a map of oldKey => newKey pairs
 *
 * @param {object}            obj   The source object to re-key
 * @param {object|function}   map   A map of keys or function
 * @param {boolean}           flip  A boolean to flip the mapping
 * @returns {*}
 */
export declare function reKey(obj: object, map: object, flip?: boolean): any;
