import ApiCore from '../classes/ApiCore';
/**
 * Converts axios data to and from models
 *
 * @param api
 * @param model
 * @param convert
 */
export declare function resource(api: ApiCore, model: any, convert?: Function): any;
/**
 * Remaps payload key names between client and server
 *
 * @param api
 * @param map
 */
export declare function remap(api: ApiCore, map: object): any;
/**
 * Returns response data rather than the response itself
 *
 * @param api
 */
export declare function data(api: ApiCore): any;
