import { AxiosRequestConfig } from 'axios';
/**
 * Helper function to create an Axios-compatible request object
 *
 * @param config  An object conforming to the AxiosRequestConfig interface
 */
export declare function makeRequest(config: AxiosRequestConfig): AxiosRequestConfig;
/**
 * Helper function to create an Axios-compatible request object
 *
 * @param config  A URL string or method + URL string
 * @param method  An optional HTTP method if a string url is passed
 */
export declare function makeRequest(config: string, method?: string): AxiosRequestConfig;
export declare function mergeOptions(config: any, options?: any): any;
